"use strict";
/// <reference path="../../../node_modules/@types/jquery/misc.d.ts" />
Object.defineProperty(exports, "__esModule", { value: true });
exports.JQueryClientError = void 0;
class JQueryClientError extends Error {
    constructor(msg, status, headers, cause, jqXHR) {
        // @ts-ignore: fetch requires lib "dom" or "webworker", but then the "cause" property becomes unknown to TS
        super(msg, { cause });
        this.status = status;
        this.headers = headers;
        this.cause = cause;
        this.jqXHR = jqXHR;
        this.name = this.constructor.name;
    }
}
exports.JQueryClientError = JQueryClientError;
//# sourceMappingURL=JQueryClientError.js.map